## EvHistory EvHistory |

## Synopsis

                        EvHistory;
                        EvHistoryPrivate;
                        EvHistoryClass;
    EvHistory *         ev_history_new                      (void);
    void                ev_history_add_link                 (EvHistory *history,
                                                             EvLink *linkk);
    EvLink *            ev_history_get_link_nth             (EvHistory *history,
                                                             int index);
    int                 ev_history_get_n_links              (EvHistory *history);

## Object Hierarchy

      GObject
       +----EvHistory

## Signals

      "changed"                                        : Run Last / Action

## Description

## Details

### EvHistory

    typedef struct _EvHistory EvHistory;

### EvHistoryPrivate

    typedef struct _EvHistoryPrivate EvHistoryPrivate;

### EvHistoryClass

    typedef struct {
    	GObjectClass parent_class;

    	void (*changed) (EvHistory *history);
    } EvHistoryClass;

### ev_history_new ()

    EvHistory *         ev_history_new                      (void);

Returns : |

### ev_history_add_link ()

    void                ev_history_add_link                 (EvHistory *history,
                                                             EvLink *linkk);

`history` : |
`linkk` : |

### ev_history_get_link_nth ()

    EvLink *            ev_history_get_link_nth             (EvHistory *history,
                                                             int index);

`history` : |
`index` : |
Returns : |

### ev_history_get_n_links ()

    int                 ev_history_get_n_links              (EvHistory *history);

`history` : |
Returns : |

## Signal Details

### The `"changed"` signal

    void                user_function                      (EvHistory *evhistory,
                                                            gpointer   user_data)      : Run Last / Action